# Timer

This class can be used to obtain the execution time of all of the scripts that are executed in the process of building a page.

Example: To be done before any scripts execute:

$Timer = new Timer; $Timer->Start_Timer();

To be done after all scripts have executed:

$timer->Stop_Timer(); $timer->Get_Elapsed_Time(int number_of_places);

author | Charles Killian
author | Hans Lellelid hans@xmpl.org
package | phing.system.util

### Methods

## This function returns the elapsed time in seconds.

    getElapsedTime(integer $places = 5) : string

Call start_time() at the beginning of script execution and end_time() at the end of script execution. Then, call elapsed_time() to obtain the difference between start_time() and end_time().

### Arguments

#### $places

`integer`

decimal place precision of elapsed time (default is 5)

### Response

`string`

Properly formatted time.

## This function returns the current time in microseconds.

    getMicrotime() : float

author | Everett Michaud, Zend.com

### Response

`float`

current time in microseconds

## This function sets the class variable $stime to the current time in microseconds.

    start() : void

## This function sets the class variable $etime to the current time in microseconds.

    stop() : void

### Properties

## start time

    stime : float

var |

### Type(s)

`float`

## end time

    etime : float

var |

### Type(s)

`float`